<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:variable name="YourNameSpace" select="'命名空间'"/>
  <xsl:template match="/">
&lt;?xml version="1.0" encoding="utf-8"?&gt;
    <Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">               
       <PropertyGroup>
		<Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
		<Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
		<ProductVersion>8.0.30703</ProductVersion>
		<SchemaVersion>2.0</SchemaVersion>
		<ProjectGuid>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectGuid>
		<OutputType>Library</OutputType>
		<AppDesignerFolder>Properties</AppDesignerFolder>
		<RootNamespace><xsl:value-of select="$YourNameSpace"/>.BLL</RootNamespace>
		<AssemblyName><xsl:value-of select="$YourNameSpace"/>.BLL</AssemblyName>
		<TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
		<FileAlignment>512</FileAlignment>
	</PropertyGroup>
	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
		<DebugSymbols>true</DebugSymbols>
		<DebugType>full</DebugType>
		<Optimize>false</Optimize>
		<OutputPath>bin\Debug\</OutputPath>
		<DefineConstants>DEBUG;TRACE</DefineConstants>
		<ErrorReport>prompt</ErrorReport>
		<WarningLevel>4</WarningLevel>
	</PropertyGroup>
	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
		<DebugType>pdbonly</DebugType>
		<Optimize>true</Optimize>
		<OutputPath>bin\Release\</OutputPath>
		<DefineConstants>TRACE</DefineConstants>
		<ErrorReport>prompt</ErrorReport>
		<WarningLevel>4</WarningLevel>
	</PropertyGroup>
      <ItemGroup>
        <Reference Include="System" />    
        <Reference Include="System.Data" />
        <Reference Include="System.configuration" />
		<Reference Include="System.XML" />
      </ItemGroup>
      <ItemGroup>
        <xsl:for-each select="MengmaCodeHelper/Server/Database/Table">
          &lt;Compile Include="<xsl:value-of select="@Class"/>BLL.cs" /&gt;
        </xsl:for-each>     
        <Compile Include="Properties\AssemblyInfo.cs" />
      </ItemGroup>
      <ItemGroup>
	   <ProjectReference Include="..\DALFactory\DALFactory.csproj">
		  <Project>{842B0A51-A4F2-4316-95A8-2707C2DC44F0}</Project>
		  <Name><xsl:value-of select="$YourNameSpace"/>.DALFactory</Name>
		</ProjectReference>
        <ProjectReference Include="..\IDAL\IDAL.csproj">
          <Project>{95C5700D-E22B-4DBF-946C-2DBC40A31993}</Project>
          <Name><xsl:value-of select="$YourNameSpace"/>.IDAL</Name>
        </ProjectReference>
        <ProjectReference Include="..\MODEL\MODEL.csproj">
          <Project>{7F0B0237-D512-4728-B080-DCAD6EAB742A}</Project>
          <Name>
            <xsl:value-of select="$YourNameSpace"/>.MODEL
          </Name>
        </ProjectReference>
      </ItemGroup>
      <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
    </Project>
  </xsl:template>
</xsl:stylesheet>